<!DOCTYPE html>
<html lang="en">
<%- include('partials/head.ejs', { title: 'AllSportFields' }) %>
<body>
    <%- include('partials/navbar.ejs', { search: 1 }) %>
    <main>
        <div class="row">

            <div class="col-md-2">
                <h1>Sport Fields</h1>
            </div>

            
            <!-- Button trigger modal -->
            <div class="col-md-2">
                <button type="button" class="btn btn-outline-dark" data-bs-toggle="modal" data-bs-target="#exampleModal">
                Filter
                </button>
            </div>
        </div>

        <!-- Modal START -->
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Sport Field Filter</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <form method="POST" name="sportFieldId" action="/filterSportField">
                        <div class="modal-body">
                            <label for="fieldtype">Field Type: </label>
                            <input id="fieldtype" type="text" name="fieldtype" placeholder="Field Type">
                            <br>
                
                            <div class="row">
                                <div class="col-md-6">
                                    <label for="minPrice">Min price: </label>
                                    <input id="minPrice" type="number" name="minPrice" placeholder="Min price for one hour">
                                </div>

                                <div class="col-md-6 ms-auto">
                                    <label for="maxPrice">Max price: </label>
                                    <input id="maxPrice" type="number" name="maxPrice" placeholder="Max price for one hour">
                                </div>
                            </div>
                
                            <label for="adress">Adress: </label>
                            <input id="adress" type="text" name="adress" placeholder="Adress">
                            <br>
                
                            <label for="description">Description: </label>
                            <input id="description" type="text" name="description" placeholder="Description">
                            <br>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            <input id="id-submit-button" class="btn btn-success" name="idSubmitButton" type="submit" value="Filter">
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- Modal END -->

    

        <div id="container">
            <% if (fields.length === 0) { %>
                <div class = "all-fields">
                    No fields in the database
                </div>
            <% } %>
            <div class="row">
            <% fields.forEach((field) => { %>
                <div class = "col-md-3 all-fields">
                    
                    <h2><%= field.fieldtype %> </h2>     
                    <b>Field ID: </b> <%= field.fieldID %><br>
                    <b>Price: </b> <%= field.price %> RON <br>
                    <b>Adress: </b> <%= field.adress %> <br>
                    <b>Description: </b> <%= field.description %> <br>
                    <a class="btn btn-outline-dark" href="/fielddetail?fieldID=<%= field.fieldID %>">Details</a>
                    <a class="btn btn-outline-dark" href="#" onclick="loadReservation('<%= field.fieldID %>', '<%= payload.newUsername %>', '<%= payload.userRole %>')">Load reservations</a> <br>
                    <div id="showReservations<%= field.fieldID %>"></div>
                </div>
            <% }) %>
            </div>
        </div>
    </main>
    <script src="/showfields.js"></script>
</body>
</html>